<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Edit Payment Type</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form [formGroup]="editForm" autocomplete="off" class="form-horizontal"
                    (ngSubmit)="updatePaymentType()">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Payment type</label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Payment type" formControlName="payment_type"
                                class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Visible to
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select placeholder="Visible to" class="form-control" formControlName="available_for">
                                <mat-option value="0">Driver app</mat-option>
                                <mat-option value="1">Customer app</mat-option>
                                <mat-option value="2">Both</mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="editForm.controls['available_for'].invalid && (editForm.controls['available_for'].dirty || editForm.controls['available_for'].touched)">
                                <div *ngIf="editForm.controls['available_for'].errors.required">
                                    Visible to is required.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Is default payment
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Is default payment"
                                formControlName="is_default_payment">
                                <mat-option value="1">Yes</mat-option>
                                <mat-option value="0">No</mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="editForm.controls['is_default_payment'].invalid && (editForm.controls['is_default_payment'].dirty || editForm.controls['is_default_payment'].touched)">
                                <div *ngIf="editForm.controls['is_default_payment'].errors.required">
                                    Is default payment is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save changes</button>
                            <button class="btn btn-white" type="button"
                                [routerLink]="['/admin/administration/payment-type']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>